print(12+7+90)   # Сложение целых чисел
print(5.689e-1 - 0.456)  #Вычитание вещественных чисел
print(23.6+54)   #Сложение вещественного и целого чисел
print(14-56.7+89)  # Сложение и вычитание целых и вещественных чисел

print(-6.7*12)   #Умножение вещественного числа на целое число

print(-234.5/6)   #Деление вещественного числа на целое
a=178/45  #Деление двух целых чисел
print(f"a={a}\n{type(a)}\n")

b=178//45   #Деление двух целых чисел
print(f"b={b}\n{type(b)}\n")

c=-24.6//12.1  #Деление двух вещественных чисел
print(f"c={c}\n{type(c)}\n")

b=b//c
print(f"b={b}\n{type(b)}\n")

c=c//int(b)
print(f"c={c}\n{type(c)}\n")




print(148%33)   #Остаток от деления двух целых чисел
print(12.6%3.8)  #Остаток от деления двух вещественных чисел
print(1%0.3)
print(3.0%1)
print('\n')

print(14**3)  #Целое число возводится в целую степень
e=2.7**3.6  #Вещественное число возводится в вещественную степень
print(e)
print('\n')

print(4**2.5)
print(4.0**2)
print('\n')

print((5-9j)+(2+5j))
print((5-9j)-(2+5j))
print((5-9j)*(2+5j))
print((5-9j)/(2+5j))

print((5-9j)**(2+5j))